// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: false, name: '团队详情', leftArrow: true, useBar: false },
    ids: '',
    src: '/image/adimges.jpg',
    // 主体高度
    infoHeight: '',
    //团队详情
    teamlist: [],
    //参考历史
    historylist: [],
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({ ids: options.id });
    // 计算高度
    this.searchHeight()
    // 监听用户是否登录
    this.watchLogin();
  },
   // 监听用户是否登录
   watchLogin: function () {
    var that = this;
    wx.getStorage({
      key: 'token',
      success: res => {
        //查询数据
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/team/${this.data.ids}`, //接口地址
          method: 'get',
          data: '',
          success(res) {
            if (res.data.errcode == 0) {
              that.setData({
                teamlist: res.data.data,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
        //参赛历史
        var that = this;
        var list = that.data.teamlist;
        var match_id = that.data.ids;
        var match_name = list.name;
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/matchteam`, //接口地址
          method: 'get',
          data: {
            "match_id": match_id,
            "match_name": match_name,
          },
          success(res) {
            if (res.data.errcode == 0) {
              that.setData({
                historylist: res.data.data,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
 // 计算高度
 searchHeight: function () {
  let frameStyle = this.data.frameStyle;
  let client = app.globalData.client;
  let infoHeight = client.windowHeight;
  // 是否去掉状态栏
  if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
  // 是否减去底部菜单
  if (frameStyle.useBar) infoHeight = infoHeight - 50;
  if (infoHeight) this.setData({ infoHeight: infoHeight })
},

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})